Subject: RE: [MMUSIC] draft-ietf-mmusic-media-loopback

From: "Hedayat, Kaynam" <[email-masked]>
Date: Wed, 27 Dec 2006 13:13:29 -0500

Cullen,

How about an Implementer's Guide section in the current draft and
definition of two (or more) loopback profiles? There are a few
implementations of the media loopback in the industry. Avoiding two
drafts will help avoid confusion.

Regards,
Kaynam 

> -----Original Message-----
> From: Cullen Jennings [mailto:[email-masked]] 
> Sent: Friday, December 15, 2006 9:33 AM
> To: Hedayat, Kaynam
> Cc: MMUSIC WG
> Subject: Re: [MMUSIC] draft-ietf-mmusic-media-loopback
> 
> 
> I was thinking of two drafts (they could both be under 
> current milestone). The advantage of two drafts is that a 
> vendor can say I support RFC XXXX or RFC YYYY.
> 
> On Nov 7, 2006, at 1:34 PM, Hedayat, Kaynam wrote:
> 
> > Cullen,
> >
> > Are you recommending two drafts or adding a new loopback 
> mode for the 
> > simple case?
> >
> > Regards,
> > Kaynam
> >
> >> -----Original Message-----
> >> From: Cullen Jennings [mailto:[email-masked]]
> >> Sent: Friday, November 03, 2006 9:27 PM
> >> To: MMUSIC WG
> >> Subject: [MMUSIC] draft-ietf-mmusic-media-loopback
> >>
> >>
> >> This has a lot of complicated stuff in it and seemed like 
> some people 
> >> might want an 80/20 sort of rule approach. It made me wonder if we 
> >> should split into simple loopback and complex. complex could be 
> >> everything here while simple would by rtp-media-loopback 
> only and the 
> >> offeror would always be the lookback-source. In the simple 
> mode, if 
> >> the devices was behind a nat, we would assume that 
> whatever it normal 
> >> did to "prime" the nat, such as stun, ice, suicide packet, 
> whatever, 
> >> was the same thing that the device normally did for normal media.
> >>
> >> I realize that simple mode is not as flexible but I am 
> wondering what 
> >> test modes we really need that it does nt provide. Seems 
> it is 95% of 
> >> the functionality for 5% of the work and you could still have the 
> >> complex mode for devices that wanted to do that.
> >>
> >>
> >>
> >> _______________________________________________
> >> mmusic mailing list
> >> [email-masked]
> >> https://www1.ietf.org/mailman/listinfo/mmusic
> >>
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic